\begin{tikzpicture}[
  scale                      = 0.9,
  align                      = center,
  edge from parent/.style    = {draw, ->,
                                >={Stealth[width=6pt,length=9pt]}},
  level 1/.style             = {level distance=18mm},
  level 2/.style             = {level distance=20mm},
  level 3/.style             = {level distance=20mm},
  every node/.style          = {scale=0.9, shape=rectangle,
                                fill=AbstractDescrNode, text=black,
                                line width=0.8mm},
  MatchedNode/.style         = {draw=AbstractDescrNodeMatchedBorder},
  MismatchedNode/.style      = {draw=AbstractDescrNodeMismatchedBorder},
  NotCheckedNode/.style      = {draw=AbstractDescrNodeNotCheckedBorder},
  MatchedStampNode/.style    = {draw=AbstractDescrNodeMatchedBorder,
                                dashed},
  NotCheckedStampNode/.style = {draw=AbstractDescrNodeNotCheckedBorder,
                                dashed}
]
  \Tree [.\node[MatchedNode]{CSDescr1};
            [.\node[MatchedNode](LeftExpr){CSDescr8};
                [.\node[MatchedNode](StubMatchedNode1){CSDescr3};
                    [.\node[NotCheckedNode]{CSDescr6};]]
                [.\node[MatchedNode]{CSDescr5};]
                [.\node[MatchedNode](StubMatchedNode2){CSDescr7};
                    [.\node[NotCheckedNode]{CSDescr5};]]]]
  \begin{scope}[xshift=90mm]
    \Tree [.\node[MatchedNode]{CSDescr1};
              [.\node[MatchedNode](RightExpr){CSDescr8};
                  [.\node[MatchedStampNode](LeftStub){StubCSDescr \\ \footnotesize{$\left\{ \text{Stamp} == \text{'\textbf{AAA}'} \right\}$}};]
                  [.\node[MatchedNode]{CSDescr5};]
                  [.\node[MatchedStampNode](RightStub){StubCSDescr \\ \footnotesize{$\left\{ \text{Stamp} == \text{'\textbf{BBB}'} \right\}$}};]]]
  \end{scope}

  \draw node[draw=white, fill=white, text=black]
        at ($(LeftExpr)!0.4!(RightExpr)$)
        {\huge{$\mathrel{\boldsymbol{\thicksim}}\boldsymbol{=}$}};

  \draw[semithick, ->, >={Stealth[width=6pt,length=9pt]}, dashed]
        (LeftStub.south)..controls +(south west:3) and +(south east:6)..([xshift=5mm]StubMatchedNode1.south);
  \draw[semithick, ->, >={Stealth[width=6pt,length=9pt]}, dashed]
        (RightStub.south)..controls +(south west:4)..([xshift=5mm]StubMatchedNode2.south);
\end{tikzpicture}
